Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 228321 - wolf31o2: inappropriate behaviour
Summary: wolf31o2: inappropriate behaviour
Status: VERIFIED INVALID
Alias: None
Product: Community Relations
Classification: Unclassified
Component: Developer Relations (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Community Relations Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-19 11:11 UTC by Ciaran McCreesh
Modified: 2008-07-01 01:04 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ciaran McCreesh 2008-06-19 11:11:00 UTC
Chris Gianelloni seems to have nothing better to do than to go around ruining technical discussions with inappropriate behaviour:

http://article.gmane.org/gmane.linux.gentoo.devel/56983/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56982/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56981/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56978/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56977/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56976/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56975/match=
http://article.gmane.org/gmane.linux.gentoo.devel/56974/match=

Nothing but blatantly untrue personal attacks in what's supposed to be a technical list.

Unfortunately, Chris claims to have killfiled me, so I can't discuss this with him before filing a complaint.
Comment 1 George Prowse 2008-06-19 21:23:53 UTC
I think this is more of a case of that you have made your bed now you have to lie in it. 

Complaining about people treating you in the same way that you treat them is the pure definition of hypocrisy and making irrelevant and worthless bug reports about it only reinforces the point.
Comment 2 Ciaran McCreesh 2008-06-19 22:36:14 UTC
(In reply to comment #1)
> Complaining about people treating you in the same way that you treat them is
> the pure definition of hypocrisy and making irrelevant and worthless bug
> reports about it only reinforces the point.

I think you're confusing technical discussion and criticism with "going around posting lots of flames and personal attacks in what's supposed to be a civil conversation".
Comment 3 Carsten Lohrke (RETIRED) gentoo-dev 2008-06-19 23:20:49 UTC
(In reply to comment #1)
> Complaining about people treating you in the same way that you treat them is
> the pure definition of hypocrisy and making irrelevant and worthless bug
> reports about it only reinforces the point.

Actually - and this even though I agree with Chris to get rid of Ciaran and his minions and can understand he got hot about this particular thread - I have to disagree and am sorry about you couldn't hold back, Chris.

To my displeasure I've read almost the whole thread and I haven't noticed any personal attacks from Ciaran's side, his overweening, disparaging - and the latter wilful, for sure - comments are free from curse words.

Applying double standards woudn't serve Gentoo. Maybe changing the gentoo-dev mailing list to readonly or moderated for non-gentoo.org emails would be a final measure to get rid of external induced flamewars.

Comment 4 Chris Gianelloni (RETIRED) gentoo-dev 2008-06-20 02:49:45 UTC
Hahaha... wow.  This is just too funny.

What exactly do you expect to happen here, Mr. McCreesh?

I assume that you're trying to report me for a CoC violation.  Well, you'll be happy to know that I unsubscribed myself from the list, already.  Since the CoC only applies to the medium in which the incident occurred, there's nothing to be done.  At any rate, this really is just a joke.

So, unless User Relations wants to escalate a complaint to Developer Relations on this issue, I'd consider it null, and void.

Ciaran's continued poisonous nature has continued to slowly destroy the Gentoo community and I give no apologies for my distaste for him.  Quite frankly, there's no reason that we need to put up with this foul individual.  I know that I no longer will.

With nothing left to do with this bug, I'm closing it.  Feel free to add me back if Developer Relations opens a case.  Otherwise, you're simply continuing to waste Gentoo developer time.
Comment 5 Ciaran McCreesh 2008-06-20 11:56:37 UTC
If that's your position, I'd like to request that devrel take a look at it please.
Comment 6 Chris Gianelloni (RETIRED) gentoo-dev 2008-06-20 13:36:23 UTC
I think that you're missing that User Relations gets to make that call, not you.  Developer Relations is for inter-developer issues and for escalations from User Relations.  Since you're not a developer, you don't get to ask for Developer Relations involvement.
Comment 7 Ferris McCormick (RETIRED) gentoo-dev 2008-06-20 13:55:32 UTC
Actually I've handled at least two user/developer conflict sent to devrel.  One was at a user's request; the other, I don't remember which made the request.
Comment 8 Joshua Jackson (RETIRED) gentoo-dev 2008-06-20 15:19:27 UTC
Ferris, this isn't a devrel matter. I'm not forwarding it on to them.

Chris removed himself from the list so there are no further conflicts to be had in this media.

This guys is what you call taking care of a problem in a very simple manner, that could of avoided a bug entirely.

Comment 9 Ciaran McCreesh 2008-06-20 15:22:37 UTC
So you're saying that posting a load of flames and then saying "I'm not going to post to this list again" is acceptable behaviour for a developer?
Comment 10 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-20 15:36:22 UTC
DevRel will only officially address a user<->dev issue if UserRel requests such. If someone from either team is unofficially working on something to help two people out, that is fine but need not be confused with the current legitimate process (see the above sentence).
As for Ciaran's request to look into an alleged issue, well there is nothing to look into. CoC states that if found guilty of such allegations the person may be temporarily suspended from the medium. As tsunam points out, wolf31o2 had removed himself after those posts. One need not speculate if he did so because he really was tired of reading the drama, trolling, and flame wars or if he did so as an admission of guilt and self punishment... such speculation is not relevant.
Again, if UserRel took on this bug and researched the issue, I see one of two outcomes would be reached: 1) wolf31o2 found to be innocent so no action to be taken or 2) wolf31o2 found guilty and temporarily suspended from the -dev ML. The latter has been done, so really, guilt or innocent there is no further action needed here.
Hopefully everyone can now return to their coding with whatever projects they work in without adding more drama to an already resolved case.
Comment 11 Ciaran McCreesh 2008-06-20 15:44:20 UTC
I was under the impression that the next step would be for wolf31o2's access to be removed immediately in case he did anything malicious, him to be fired by the devrel lead without any kind of process or hearing and for the Council to ignore requests for an appeal. Please explain why this isn't happening.
Comment 12 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-20 16:19:39 UTC
(In reply to comment #11)
> I was under the impression that the next step would be for wolf31o2's access to
> be removed immediately in case he did anything malicious, him to be fired by
> the devrel lead without any kind of process or hearing and for the Council to
> ignore requests for an appeal. Please explain why this isn't happening.

This isnt happening because your impressions are incorrect. Your above comments are not appropriate and nothing short of you showing another fine example of your trolling capabilities. Please cease and go about whatever coding work you do or get a hobby other than harassing Gentoo, perhaps finger painting is up your alley.

Comment 13 Ciaran McCreesh 2008-06-20 18:55:09 UTC
(In reply to comment #12)
> This isnt happening because your impressions are incorrect. Your above comments
> are not appropriate and nothing short of you showing another fine example of
> your trolling capabilities. Please cease and go about whatever coding work you
> do or get a hobby other than harassing Gentoo, perhaps finger painting is up
> your alley.

Somehow I suspect your personal bias here is getting in the way of you doing the right thing. Please delegate this to a different member of devrel who isn't going to stoop so low as to attempt such petty insults rather than doing the job properly.
Comment 14 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2008-06-20 21:54:22 UTC
You are not userrel; don't close our bugs please.

-Alec
Comment 15 Joshua Jackson (RETIRED) gentoo-dev 2008-06-20 21:54:55 UTC
I'll close it though.
Comment 16 Joshua Jackson (RETIRED) gentoo-dev 2008-06-20 22:04:02 UTC
unrestricting
Comment 17 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-20 22:10:36 UTC
(In reply to comment #13)
> Somehow I suspect your personal bias here is getting in the way of you doing
> the right thing. Please delegate this to a different member of devrel who isn't
> going to stoop so low as to attempt such petty insults rather than doing the
> job properly.

And I suspect your personal bias against anyone whose opinion differs from your own, demonstrated by your quick 'witty' attacks on bugs or ML's, to be getting in the way of you looking at this as a reasonable person. 
You attest to feeling a developer wronged you with their verbiage, such a CoC violation results in suspension from the media, wolf31o2 took care of that already.
Again I stress to you, this is a UserRel issue and tsunam as UserRel lead said he was not escalating to DevRel as he perceived the matter to be addressed. 
Try the finger painting.
Comment 18 Carsten Lohrke (RETIRED) gentoo-dev 2008-06-23 00:35:40 UTC
Ehem, Christina, please believe me: Third parties take it with a grain of salt, when people with personal bindings defend it each other, as they very, very likely do not hold a neutral position, as necessary. I consider the comments from you here as problematic as I did Chris defending you in some mailing list thread not too long ago, as I'd expect everyone else to hold back, when personal bias, emotions, etc. may incluence ones opinion or decision. Shouldn't be too hard, to stand back and let someone else reply.
Comment 19 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-23 15:46:28 UTC
(In reply to comment #18)
> I consider the comments
> from you here as problematic as I did Chris defending you in some mailing list
> thread not too long ago, as I'd expect everyone else to hold back, when
> personal bias, emotions, etc. may incluence ones opinion or decision. Shouldn't
> be too hard, to stand back and let someone else reply.

If you would kindly re-read the bug I am stating that Developer Relations is not taking an escalation from a user when the Lead of User Relations states that he is not escalating it to Developer Relations and considers the matter resolved. So however you choose to view me/my actions/etc, it is your right to have any opinion you like, you should also be able to see that I am completely in line with our procedures. The Lead of User Relations closed the bug, the matter is over.
Developer Relations is the first line for dev <-> dev issues and User Relations is the first line for user <-> dev (or user <-> user) issues. We work user <-> dev issues alongside User Relations when they escalate it to us. In this bug it is blatantly stated that such is not the case.
Comment 20 Torsten Veller (RETIRED) gentoo-dev 2008-06-23 16:58:45 UTC
"Issues not necessarily related to personal conflict, such as intentional or repeated policy breaches, malicious or abrasive behavior to users or developers, or similar developer-specific behavioral problems should be brought directly to Developer Relations via devrel@gentoo.org or via a Bug."

So does it really matter who reports it?
Comment 21 Carsten Lohrke (RETIRED) gentoo-dev 2008-06-23 23:01:10 UTC
Christina: It doesn't matter what you say, to the degree you make yourself (and worse, Gentoo) vulnerable to Chiarans accusations. Your first comment is essentially fine, it would have been smarter to let someone else make it, nonetheless. Wrt. to your second one, you unnecessarily played exactly the game on exactly the level Chiaran wants you to.
Comment 22 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-24 00:08:57 UTC
Carlo, you may say what you like and hold your own opinion on any given topic as such is your right, however at the end of the day it really is this simple: this is a User Rel bug and User Rel closed it, we are commenting on a resolved bug needlessly.
ciaranm reported an issue to User Rel, a member of Dev Rel added his past experiences as comments, to which the User Rel Lead advised really didnt matter, I supported the User Rel Lead after ciaranm added his 'witty' retort, to which ciaranm added yet another 'witty' retort and at that point, IMO, this bug became rather useless.
You can say what you like about me and my actions, even the allegations of personal bias are your right to consider, but I've violated nothing here by supporting the User Rel Lead and agreeing with his assessment, that being this was not a Dev Rel issue and is considered resolved with User Rel. It appears that you think I should not support my peers if I might be viewed as agreeing with wolf31o2, you should save yourself the grief (ALL OF YOU) as wolf31o2 will likely leave Gentoo in the near future, completely Gentoo's loss, and perhaps then all of you will let be get back to my role here within Gentoo.
Comment 23 Łukasz Damentko (RETIRED) gentoo-dev 2008-06-24 08:51:16 UTC
Carlo, Christina is right on this one. This bug was ridiculous and what UserRel decided to do about it was simply the right thing to do. Also, since justice has been served (Chris is no longer subscribed to -dev), there's nothing DevRel could do to punish him more. So I don't really know what else would you like us to do.
Comment 24 Ciaran McCreesh 2008-06-24 16:21:53 UTC
Devrel has demonstrated plenty of powers beyond removing someone from a mailing list and has used them for far lesser offences in the past. What's different here?
Comment 25 Łukasz Damentko (RETIRED) gentoo-dev 2008-06-24 16:42:55 UTC
"Devrel has demonstrated plenty of powers beyond removing someone from a mailing
list and has used them for far lesser offences in the past."

Did we?
Comment 26 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-06-24 16:53:15 UTC
(In reply to comment #25)
> "Devrel has demonstrated plenty of powers beyond removing someone from a
> mailing
> list and has used them for far lesser offences in the past."
> 
> Did we?
> 

Bug #168573
Comment 27 Łukasz Damentko (RETIRED) gentoo-dev 2008-06-24 17:07:53 UTC
http://bugs.gentoo.org/attachment.cgi?id=151215&action=view
Comment 28 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-24 21:22:27 UTC
Again everyone on this bug, this is not a Dev Rel bug so why do some of you continue to question this from a Dev Rel perspective? 
What Dev Rel did with regards to a developer on another bug is not the point of this bug. This is a User Rel bug and is marked Resolved - Invalid. There is NO Dev Rel escalation so there is no Dev Rel task to be done here. 
Please direct your efforts to more constructive areas; if you're not a Gentoo dev then work on whatever other projects or tasks you have, if you're a Gentoo dev then perhaps check out maintainer wanted/needed areas: http://gpnl.larrythecow.org/
Comment 29 Ciaran McCreesh 2008-06-24 21:28:49 UTC
Comment #20 suggests that this is a devrel matter regardless of what userrel has to say. Is this not the case?
Comment 30 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-24 21:42:31 UTC
(In reply to comment #20)
> "Issues not necessarily related to personal conflict, such as intentional or
> repeated policy breaches, malicious or abrasive behavior to users or
> developers or similar developer-specific behavioral problems should be brought
> directly to Developer Relations via devrel@gentoo.org or via a Bug."

No Ciaran, it does not suggest it is a Dev Rel matter nor that Dev Rel should be working the issue, but does suggest that anyone can and should bring something to our attention. I dont see where anyone on this bug has suggested otherwise. 

The policy is not clear enough for some as to what action would take place. In the case of a user reporting an issue with a developer, Dev Rel can certainly be made aware however we respect the role of User Rel and would first allow them to process the issue and allow them to determine if they felt Dev Rel involvement was necessary. Dev Rel and User Rel continue to have a harmonious relationship and even share some of the same team members; were either of us to disagree we would address it and work together.

I can see where the policy referenced needs a revision that explains the relationship of Dev Rel with User Rel and how the two teams can and should work together. The wonderful thing about digital policies instead of stone tablets is that we can make amendments and improvements as needed.
Comment 31 Ciaran McCreesh 2008-06-24 21:45:22 UTC
So you're saying that it would require a developer to request devrel's intervention for this to move beyond userrel?
Comment 32 Łukasz Michalik 2008-06-24 21:52:47 UTC
From http://www.gentoo.org/proj/en/devrel/ :

`The stated goal for developer relations is to act as a meeting point for Gentoo developers and advanced users both.'

I believe that a former developer and active contributor to at least one of Gentoo's projects (which I believe PMS is) qualifies as advanced user.
Comment 33 Łukasz Damentko (RETIRED) gentoo-dev 2008-06-24 22:24:47 UTC
So you want devrel to form a relationship between wolf and ciaranm?
Comment 34 Ferris McCormick (RETIRED) gentoo-dev 2008-06-26 11:46:16 UTC
(In reply to comment #33)
> So you want devrel to form a relationship between wolf and ciaranm?
> 

Perhaps not, but I think they have a responsibility to talk to each other.  In this case, ciaranm says he was unable to discuss it with wolf31o2 because of a killfile, which means that wolf31o2 needs to contact ciaranm to start resolving their differences, I guess.
Comment 35 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-26 13:19:27 UTC
fmccor, so you are saying that when two people have a history (years worth) of disagreements and issues that neither person has the option to say ---  "I'm just going to ignore the person that I always fight with so as not to participate in additional fights and just continue on my role here without continued conflict with said person." --- This is not an option? 

There are some people who just cannot get along in life; this is a fact of life and it just happens. It is a good thing when one person recognizes that and actually tries to avoid conflict. There is a southern saying "let sleeping dogs lie." I ask you all to quit trying to stir up another dog fight and let this drop already.

(for ESL folks: lie in this case is the proper use of lay, as in to lie down/to lay down)
Comment 36 Ciaran McCreesh 2008-06-26 13:25:58 UTC
(In reply to comment #35)
> I ask you all to quit trying to stir up another dog fight and let this
> drop already.

Were this about anyone else, you'd be running around removing people's access and firing them without a hearing, not telling everyone to let it go.
Comment 37 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-26 13:31:28 UTC
ciaranm, you dont know me at all so it would serve you well not to make such assumptions of me or what my actions would be. I suspect many of us can recall what is said about people who ass-u-me.
Comment 38 Ferris McCormick (RETIRED) gentoo-dev 2008-06-26 13:48:35 UTC
(In reply to comment #35)
> fmccor, so you are saying that when two people have a history (years worth) of
> disagreements and issues that neither person has the option to say ---  "I'm
> just going to ignore the person that I always fight with so as not to
> participate in additional fights and just continue on my role here without
> continued conflict with said person." --- This is not an option? 
> 

Sure, it's an option.  I'm just suggesting that if they really want to resolve their differences, they should talk to each other rather than either expect userrel or devrel to stomp on the other.  I know they have a history and neither party is pure.  But I can hope for a resolution, however unlikely.
Comment 39 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-26 14:04:31 UTC
fmccor, I hope you can admit that wolf31o2 and ciaranm are very opinionated and passionate about those opinions. These are two strong minded, strong willed, and determined guys. If the two guys hold the extreme opposite opinions on almost every topic they've encountered, at some point they have to stop pushing their opposing opinions on each other. I can appreciate how ciaranm did not like the way wolf31o2 spoke to him/about him on the -dev ML, I've heard similar complaints time and time again when ciaranm treated others the same way, however I also appreciate the mindset of removing yourself from continuing that action - which is what wolf31o2 did.
User Rel and Dev Rel have agreed that this matter is over, with the exception of fmccor who is a member of both teams though he has also been removed from ever working on a wolf31o2 issue/bug due to wolf31o2 direct request as he perceives an absolute bias against him from that person. 
I think we've said everything that needs to be said, the issue is deemed resolved, everyone go about your business and wait for the next edition of 'omg can you believe what so-and-so said' -- let's drop the gossiping, stop trying to stir up a closed bug, and move on.
Comment 40 Ciaran McCreesh 2008-06-26 14:07:06 UTC
You mean you prevent anyone who dares to suggest that wolf31o2 might be in the wrong from working on any bug involving him because of a 'conflict of interest'?
Comment 41 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2008-06-26 14:59:47 UTC
(In reply to comment #40)
> You mean you prevent anyone who dares to suggest that wolf31o2 might be in the
> wrong from working on any bug involving him because of a 'conflict of
> interest'?
> 

To be fair I re-opened this bug for that exact reason and then the userrel lead closed it again.  I disagree with his decision as I think wolf was totally out of line and I know he knows better than to say stuff like that.

There is not much incentive to act since he unsubscribed and I expect him to retire soon anyway.

-Alec
Comment 42 Joshua Jackson (RETIRED) gentoo-dev 2008-06-26 15:18:28 UTC
All,

While I encourage discussions about all matters within Gentoo, I am saddened that so much of everyones time is used on a matter that is considered resolved and isn't going to be moving forward from this point.

We can all agree that our opinions differ but I would hope have enough respect for each other to not question any of our intentions to be for the betterment of Gentoo as a whole. 

Now please cease discussion on this bug.
Comment 43 Ciaran McCreesh 2008-06-26 15:22:01 UTC
(In reply to comment #42)
> While I encourage discussions about all matters within Gentoo, I am saddened
> that so much of everyones time is used on a matter that is considered resolved
> and isn't going to be moving forward from this point.

A resolution of "I won't let anyone handle complaints against someone with whom I have a relationship" is hardly satisfactory... Why not reassign this to Ferris, since he doesn't have any personal bias?
Comment 44 Joshua Jackson (RETIRED) gentoo-dev 2008-06-26 15:26:27 UTC
That's quite enough ciaranm. Ferris is not impartial in this case and your continued insistence upon something is really of no value at this point.

I can't really make it any simpler then that. If you truly insist on following this line (and from your statements you assuredly do)....take it to the council where it might be handled during the next council meeting.
Comment 45 Ciaran McCreesh 2008-06-26 15:29:03 UTC
Please explain how Ferris is less impartial than Christina in this issue.
Comment 46 Christina Gianelloni (RETIRED) gentoo-dev 2008-06-26 16:51:09 UTC
ciaranm, I've never claimed that wolf31o2 is a saint and not capable of making
erroneous decisions. I'd appreciate it if you do not infer otherwise.

You go on to request that someone who is not authorized to work this issue,
fmccor, be the one to do so despite the fact that the issue is deemed
Resolved-Invalid and despite the fact that he is not eligible to work it.

Again, I fully support tsunam's original decision (as does rane, another member
of Dev Rel, see comment 23) and I agree that if you think you have been so
outrageously wronged, please just take it to Council because at this point both
Dev Rel and User Rel consider this resolved.
Comment 47 Christina Gianelloni (RETIRED) gentoo-dev 2008-07-01 01:04:41 UTC
This bug was addressed in part by User Rel per it was submitted by a user. User Rel voted and the majority agreed that it warranted review and a decision by Dev Rel regarding wolf31o2's actions and whether action needed to be taken.
The Dev Rel team took a vote and the majority voted no, that no action needs to be taken against wolf31o2.

This bug is resolved to its fullest capacity.